=== debian/changelog ===
focuswriter (1.8.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:21 +1100

focuswriter (1.8.6-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:51:58 +0000

focuswriter (1.8.6-1) unstable; urgency=low

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Tue, 16 Jan 2024 19:24:15 +0000
