=== debian/changelog ===
focuswriter (1.8.7-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 May 2024 20:24:27 -0700

focuswriter (1.8.7-1) unstable; urgency=medium

  * New upstream release
  * Bump policy version
  * Switch build dependency from pkg-config to pkgconf

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 May 2024 00:03:07 +0100
