## focuswriter 1.8.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(focuswriter VERSION 1.8.7 LANGUAGES CXX)
+project(focuswriter VERSION 1.8.8 LANGUAGES CXX)
 
 set(project_copyright "2008-2024 Graeme Gott")
 
@@ -157,6 +157,12 @@
 		src/3rdparty/hunspell/replist.cxx
 		src/3rdparty/hunspell/suggestmgr.cxx
 	)
+
+	if (Qt6_VERSION VERSION_GREATER_EQUAL 6.5)
+		target_compile_definitions(focuswriter PRIVATE RTFCLIPBOARD)
+
+		target_sources(focuswriter PRIVATE src/fileformats/clipboard_windows.cpp)
+	endif()
 else()
 	find_package(PkgConfig REQUIRED)
 	pkg_check_modules(Hunspell REQUIRED IMPORTED_TARGET hunspell)
