=== debian/changelog ===
focuswriter (1.8.8-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Jul 2024 11:29:36 -0700

focuswriter (1.8.8-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Tue, 21 May 2024 10:15:14 +0000
