=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: focuswriter
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: debhelper-compat (= 13),
-  cmake,
-  mesa-common-dev,
-  qt6-base-dev,
-  qt6-tools-dev,
-  qt6-tools-dev-tools,
-  qt6-l10n-tools,
-  qt6-multimedia-dev,
-  libhunspell-dev,
-  pkg-config,
-  zlib1g-dev
-Standards-Version: 4.6.2
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libhunspell-dev,
+               mesa-common-dev,
+               pkgconf,
+               qt6-base-dev,
+               qt6-l10n-tools,
+               qt6-multimedia-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               zlib1g-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
