=== debian/changelog ===
focuswriter (1.8.9-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Fri, 11 Oct 2024 19:30:51 +0000
