## focuswriter 1.8.10

=== debian/changelog ===
focuswriter (1.8.10-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Fri, 14 Feb 2025 18:24:42 +0000
