=== debian/changelog ===
focuswriter (1.8.11-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * Update standards version to 4.7.2, no changes needed
  * Trivially update debian/copyright

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Mar 2025 14:02:33 +0000
