=== debian/changelog ===
focuswriter (1.8.12-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 18 May 2025 15:22:57 +0100
