=== debian/changelog ===
focuswriter (1.8.13-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 07 Sep 2025 13:38:30 -0700

focuswriter (1.8.13-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * Rules-requires-root now defaults to no

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Aug 2025 12:26:09 +0100
