=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: focuswriter
 Section: editors
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: debhelper-compat (= 13),
-  cmake,
-  gettext,
-  mesa-common-dev,
-  qt6-base-dev,
-  qt6-tools-dev,
-  qt6-tools-dev-tools,
-  qt6-l10n-tools,
-  qt6-multimedia-dev,
-  libhunspell-dev,
-  pkgconf,
-  zlib1g-dev
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               gettext,
+               libhunspell-dev,
+               mesa-common-dev,
+               pkgconf,
+               qt6-base-dev,
+               qt6-l10n-tools,
+               qt6-multimedia-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               zlib1g-dev
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
 Vcs-Browser: https://salsa.debian.org/debian/focuswriter
