=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,8 @@
 
 %:
 	dh $@
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
