=== debian/changelog ===
focuswriter (1.9.0-1) unstable; urgency=medium
  [ Graeme Gott ]

  * New upstream release
  * Add dependency on libkdsingleapplcation-qt6

  [ Barak A. Pearlmutter ]
  * Update debian/watch file to version 5
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 14 Dec 2025 15:13:13 +0000
