=== debian/watch ===
Version: 5
Template: GitHub
Owner: gottcode
Project: @PACKAGE@
